{% extends 'userMenu/base.html' %}

{% block bodyBl%}

<form action="{% url 'reg' %}" method="POST">
    {% csrf_token %}
    <div id = "block" class = "lgn">
        <h1 class = "lgn">Registration new user</h1>
        <input id="phone" 
         type="tel" 
         name="phone" 
         value="+375 (__) ___-__-__" 
         pattern="^\+375(\s+)?\(?(17|25|29|33|44)\)?(\s+)?[0-9]{3}-?[0-9]{2}-?[0-9]{2}$" // phones at Belarus
         required>
        {% for f in forma %}
        <label for="{{ f.id_for_label}}"><h2 class = "lgn">{{ f.label }}</h2></label>
        {{ f }}  
        <div class="form-error">
            {{ f.errors }}
        </div>
        {% endfor%}

        <br>
        <br>
        <input type="submit">
    </div>
</form>

{% endblock %}